/* latin-ext */
@font-face {
    font-family: 'Raleway';
    font-style: normal;
    font-weight: 400;
    font-display: swap;
    src: local('Raleway'), local('Raleway-Regular'), url(/fonts/raleway/v14/1Ptug8zYS_SKggPNyCMIT5lu.woff2) format('woff2');
    unicode-range: U+0100-024F, U+0259, U+1E00-1EFF, U+2020, U+20A0-20AB, U+20AD-20CF, U+2113, U+2C60-2C7F, U+A720-A7FF;
  }
  /* latin */
  @font-face {
    font-family: 'Raleway';
    font-style: normal;
    font-weight: 400;
    font-display: swap;
    src: local('Raleway'), local('Raleway-Regular'), url(/fonts/raleway/v14/1Ptug8zYS_SKggPNyC0ITw.woff2) format('woff2');
    unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
  }
  @media only screen and (max-width: 800px), only screen and (max-device-width: 800px) {
    .cover-heading {
        padding-top: 25px;
    }
}

html, body {
    min-height: 100%;
    /* background-color: #7f7faf; */
    scroll-behavior: smooth;
    font-family: 'Raleway', sans-serif;
}

*:focus {
    outline: 0;
}

.my-bg {
    /* background: rgb(255, 102, 102) !important;  */
    background-color: rgba(0, 0, 0, 0.45);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}

.bd-placeholder-img {
    font-size: 1.125rem;
    text-anchor: middle;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

@media (min-width: 768px) {
    .bd-placeholder-img-lg {
        font-size: 3.5rem;
    }
}

.underline::before {
    content: '';
    opacity: 1;
    background: whitesmoke;
    position: absolute;
    left: 25%;
    width: 50%;
    height: 3.5px;
    border-radius: 5px;
    z-index: 1;
}

.underline-animation::before {
    content: '';
    opacity: 1;
    background: whitesmoke;
    position: absolute;
    left: 25%;
    width: 50%;
    height: 3.5px;
    border-radius: 5px;
    transform: scaleX(0);
    animation: 1.25s forwards no-hover-v linear;
    animation-fill-mode: forwards;
    z-index: 1;
}

h1.cover-heading {
    font-size: 4.5em;
    line-height: 1.75em;
    font-weight: 400;
    color: #fff;
    text-align: center;
}

h1.cover-heading.title {
    position: relative;
    opacity: 0;
    margin: 0;
    text-shadow: 1px 2px 8px #000000;
    animation: showTopText 1.5s;
    animation-delay: 0.5s;
    animation-fill-mode: forwards;
    bottom: 0;
    transform: translate(0, 100%);
}

.fade-down {
    opacity: 0;
    animation: showBottomText 1.5s;
    animation-delay: 1s;
    animation-fill-mode: forwards;
    /* bottom: 0; */
    transform: translate(0, 100%);
}

.fade-up {
    opacity: 0;
    animation: showTopText 1.5s;
    animation-delay: 1s;
    animation-fill-mode: forwards;
    /* bottom: 0; */
    transform: translate(0, 100%);
}

@media only screen and (max-width:600px) {
    h1.title, .cover-heading {
        font-size: 3.25em !important;
        margin-bottom: 8px;
    }
    h1.title span {
        display: block;
        font-weight: 500;
        font-size: .75em;
        line-height: 1.4em;
    }
}

@media only screen and (max-width:360px) {
    h1.title {
        font-size: 2.85em !important;
    }
}

p.lead.description {
    margin-top: 1em;
    font-size: 2em;
    font-weight: 400;
    text-align: center;
    color: white;
}

@media only screen and (max-width: 800px), only screen and (max-device-width: 800px) {
    p.lead.description {
        font-size: 1.5em;
        font-weight: 400;
        text-align: center;
    }
}

body#home {
    background: url(/images/2020/v-photo-selection/DSC_0060.jpg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    -webkit-animation: fadein 2s; /* Safari, Chrome and Opera > 12.1 */
       -moz-animation: fadein 2s; /* Firefox < 16 */
        -ms-animation: fadein 2s; /* Internet Explorer */
         -o-animation: fadein 2s; /* Opera < 12.1 */
            animation: fadein 2s;
}

body#results {
    background: url(../images/2020/v-photo-selection/DSC_0199.jpg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    -webkit-animation: fadein 2s; /* Safari, Chrome and Opera > 12.1 */
       -moz-animation: fadein 2s; /* Firefox < 16 */
        -ms-animation: fadein 2s; /* Internet Explorer */
         -o-animation: fadein 2s; /* Opera < 12.1 */
            animation: fadein 2s;
}

body#login {
    background: url(../images/photo-1515900387962-fd8dba567ed0_tiny.jpeg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    -webkit-animation: fadein 2s; /* Safari, Chrome and Opera > 12.1 */
       -moz-animation: fadein 2s; /* Firefox < 16 */
        -ms-animation: fadein 2s; /* Internet Explorer */
         -o-animation: fadein 2s; /* Opera < 12.1 */
            animation: fadein 2s;
}

body#profile {
    background: url(../images/chris-leggat-JAkWUtmsFXM-unsplash_tiny.jpg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    -webkit-animation: fadein 2s; /* Safari, Chrome and Opera > 12.1 */
       -moz-animation: fadein 2s; /* Firefox < 16 */
        -ms-animation: fadein 2s; /* Internet Explorer */
         -o-animation: fadein 2s; /* Opera < 12.1 */
            animation: fadein 2s;
}

#error-403 {
    background: url(../images/photo-1515900387962-fd8dba567ed0_tiny.jpeg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    -webkit-animation: fadein 2s; /* Safari, Chrome and Opera > 12.1 */
       -moz-animation: fadein 2s; /* Firefox < 16 */
        -ms-animation: fadein 2s; /* Internet Explorer */
         -o-animation: fadein 2s; /* Opera < 12.1 */
            animation: fadein 2s;
}

#error-404 {
    background: url(../images/erik-mclean-bGWVhFY1gH0-unsplash_tiny.jpg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    -webkit-animation: fadein 2s; /* Safari, Chrome and Opera > 12.1 */
       -moz-animation: fadein 2s; /* Firefox < 16 */
        -ms-animation: fadein 2s; /* Internet Explorer */
         -o-animation: fadein 2s; /* Opera < 12.1 */
            animation: fadein 2s;
}

#error-500 {
    background: url(../images/sarah-kilian-52jRtc2S_VE-unsplash_tiny.jpg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    -webkit-animation: fadein 2s; /* Safari, Chrome and Opera > 12.1 */
       -moz-animation: fadein 2s; /* Firefox < 16 */
        -ms-animation: fadein 2s; /* Internet Explorer */
         -o-animation: fadein 2s; /* Opera < 12.1 */
            animation: fadein 2s;
}

@keyframes fadein {
    from { opacity: 0; }
    to   { opacity: 1; }
}

/* Firefox < 16 */
@-moz-keyframes fadein {
    from { opacity: 0; }
    to   { opacity: 1; }
}

/* Safari, Chrome and Opera > 12.1 */
@-webkit-keyframes fadein {
    from { opacity: 0; }
    to   { opacity: 1; }
}

/* Internet Explorer */
@-ms-keyframes fadein {
    from { opacity: 0; }
    to   { opacity: 1; }
}

/* Opera < 12.1 */
@-o-keyframes fadein {
    from { opacity: 0; }
    to   { opacity: 1; }
}
